function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_hall"
end

function p.__main()
    set_default_block("s")
    
    create_rect("e", 1,1,1, 14,14,14)
    create_rect("e", 0,6,6, 0,8,8)

    create_rect("r_bathroom2", 5,0,5, 9,0,9)
    create_rect("e", 6,0,6, 8,0,8)
    
    local msg_str = "You can create your own \"^x00ff00starting positions^!\": "
        .. "locations where the player can begin a new game.\n\n"
        .. "Right now there should be only one starting position, "
        .. "which is specified in the file "
        .. "^x00ff00WorldNodes/StartingConfig/^!1.txt "
        .. "of this package.\n\n"
        .. "Let us practice making your own starting "
        .. "position.  Copy the file \"1.txt\" and call it \"2.txt\". "
        .. "Read that file. "
        .. "Change the \"description\" to be something "
        .. "like \"test start\". "
        .. "You will also need to set the \"chunk_path\" "
        .. "for the starting position in the file. "
        .. "You can do this with the help of the "
        .. "\"^x00ff00path^!\" command. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)

    msg_str = "While in this room, press ^x00ff00~^! "
        .. "to open the console, then enter the command "
        .. "\"^x00ff00path dump^!\". "
        .. "This will create the file ^x00ff00path.txt^! "
        .. "in the Output directory "
        .. "of the root directory of the program.\n\n"
        .. "Open the file ^x00ff00Output/path.txt^! and find where it says "
        .. "\"Path to the viewer in hash-code format\". "
        .. "Copy the \"chunk_path\" "
        .. "line immediately after it and replace "
        .. "the corresponding line of \"2.txt\". "
        .. "Now create a new game specifying this package. "
        .. "Select \"test start\" as the starting position, "
        .. "and you should end up in this room. "
    add_bent_s(7,7,5,"bent_base_txt",msg_str)

    msg_str = "The command \"^x00ff00path last^!\" tells you the name of "
        .. "the lua script for the chunk you are in.\n\n"
        .. "The command \"^x00ff00path^!\" tells you "
        .. "the names of all lua scripts for the chunks "
        .. "starting from the root and ending at your current chunk.\n\n"
        .. "The command \"^x00ff00path dump^!\" outputs information "
        .. "about the path to the file ^x00ff00Output/path.txt^!. "
    add_bent_s(2,9,8,"bent_base_txt",msg_str)

    msg_str = "The command \"^x00ff00script^!\" prints the lua script "
        .. "for the chunk you are in. "
    add_bent_s(2,9,6,"bent_base_txt",msg_str)
end
